# -*- coding: utf-8 -*-

# Module config
CONF_FILE =         '/etc/vmmgr/config.json'
CONF_LOCK =         '/var/lock/vmmgr-config.lock'

# Crypto
ACME_CRON =         '/etc/periodic/daily/acme.sh'
ACME_DIR =          '/etc/acme.sh.d'
CERT_KEY_FILE =     '/etc/ssl/services.key'
CERT_PUB_FILE =     '/etc/ssl/services.pem'
TMP_KEY_FILE =      '/tmp/private.pem'
TMP_PUB_FILE =      '/tmp/public.pem'

# OS
ISSUE_FILE =        '/etc/issue'
MOTD_FILE =         '/etc/motd'
NGINX_DIR =         '/etc/nginx/conf.d'

# Remote access
AUTHORIZED_KEYS =   '/root/.ssh/authorized_keys'
INTERFACES_FILE =   '/etc/network/interfaces'
WG_CONF_FILE =      '/etc/wireguard/wg0.conf'
WG_CONF_DISABLED =  '/etc/wireguard/wg0.conf.disabled'

# URLs
MYIP_URL =          'https://repo.spotter.cz/tools/myip.php'
PING_URL =          'https://repo.spotter.cz/tools/vm-ping.php'
